(function ($) {
    "use strict";
    $(document).ready(function(){
        var $menu = $('.nav-menu');
        $menu.find('ul.sub-menu > li').each(function(){
            var $submenu = $(this).find('>ul');
            if($submenu.length == 1){
                $(this).hover(function(){
                    if($submenu.offset().left + $submenu.width() > $(window).width()){
                        $submenu.addClass('back');
                    }else if($submenu.offset().left < 0){
                        $submenu.addClass('back');
                    }
                }, function(){
                    $submenu.removeClass('back');
                });
            }
        });
        /* Menu drop down*/
        $('.nav-menu li.menu-item-has-children').append('<span class="cs-menu-toggle"><i class="fa fa-angle-right"></i></span>');
        $('.cs-menu-toggle').on('click', function(){
            $(this).prev().toggleClass('submenu-open').slideToggle();
        });
        /* Page Fixed Menu */
        $('.header-fixed-page').parents('body').addClass('remove-margin-top');
        $('#cshero-header.no-sticky').parents('body').addClass('remove-margin-top');

         // Add class active to nav clicked
        $('.navbar-toggle').on('click', function(){
            $(this).toggleClass('active');
        });
         /* Full screen menu */ 
        /*if ($('#wage-fullscreen-trigger').length) {
            var fw_main_header = $('#cshero-header-navigation');
            $('#wage-fullscreen-trigger').on('click', function(e) {
                e.preventDefault();

                if ($(this).hasClass('is-clicked')) {
                    $(this).removeClass('is-clicked');
                    fw_main_header.addClass('collapse');
                    fw_main_header.removeClass('collapsed');
                    
                } else {
                    $(this).addClass('is-clicked');
                    fw_main_header.removeClass('collapse');
                    fw_main_header.addClass('collapsed');
                }
            });
        }*/


        if ($('#wage-fullscreen-trigger').length) {
            var fw_main_header = $('.fullscreen-menu-wrap');
            var fw_main_header_phone = $('#cshero-header-navigation');
            $('#wage-fullscreen-trigger').on('click', function(e) {
                e.preventDefault();

                if ($(this).hasClass('is-clicked')) {
                    $(this).removeClass('is-clicked');
                    fw_main_header.addClass('collapse');
                    fw_main_header.removeClass('collapsed'); 
                    fw_main_header_phone.addClass('collapse');
                    fw_main_header_phone.removeClass('collapsed');
                    
                } else {
                    $(this).addClass('is-clicked');
                    fw_main_header.removeClass('collapse');
                    fw_main_header.addClass('collapsed'); 
                    fw_main_header_phone.removeClass('collapse');
                    fw_main_header_phone.addClass('collapsed');
                }
            });
        }
    });

})(jQuery);
