<?php
vc_map(
	array(
		"name" => esc_html__("CMS Pricing", 'wpwage'),
	    "base" => "cms_pricing",
	    "class" => "vc-cms-pricing",
	    "category" => esc_html__("CmsSuperheroes Shortcodes", 'wpwage'),
	    "params" => array(

	    	array(
	            'type' => 'param_group',
	            'heading' => esc_html__( 'List Pricing', 'wpwage' ),
	            'param_name' => 'values',
	            'description' => esc_html__( 'Enter values for pricing item', 'wpwage' ),
	            "group" => esc_html__("Pricing Settings", 'wpwage'),
	            'value' => '',
	            'params' => array(
                /* Pricing */
	               
			        array(
			            "type" => "checkbox",
			            "heading" => esc_html__("Is Feature",'wpwage'),
			            "param_name" => "highlighted",
			            "group" => esc_html__("Pricing Settings", 'wpwage')
			        ),
			       
			        array(
			            "type" => "textfield",
			            "heading" => esc_html__("Price",'wpwage'),
			            "param_name" => "price",
			            "value" => "",
			            "group" => esc_html__("Pricing Settings", 'wpwage'),
			            "admin_label" => true,
			        ),
			        array(
			            "type" => "textfield",
			            "heading" => esc_html__("Currency",'wpwage'),
			            "param_name" => "currency",
			            "value" => "",
			            "group" => esc_html__("Pricing Settings", 'wpwage'),
			            "description" => esc_html__("$",'wpwage'),
			            "admin_label" => true,
			        ),
			        array(
			            "type" => "textfield",
			            "heading" => esc_html__("Period",'wpwage'),
			            "param_name" => "period",
			            "value" => "",
			            "group" => esc_html__("Pricing Settings", 'wpwage'),
			            "description" => esc_html__("Monthly",'wpwage'),
			            "admin_label" => true,
			        ),
					array(
					    'type' => 'colorpicker',
					    'heading' => esc_html__('Text color', 'wpwage'),
					    'param_name' => 'value_color',
					    'value' => '',
					),
					array(
					    'type' => 'colorpicker',
					    'heading' => esc_html__('Head background color', 'wpwage'),
					    'param_name' => 'head_bgcolor',
					    'value' => '',
					),
					array(
					    'type' => 'colorpicker',
					    'heading' => esc_html__('Background color', 'wpwage'),
					    'param_name' => 'bg_color',
					    'value' => '',
					),
			        array(
			            "type" => "param_group",
			            "heading" => esc_html__("Custom Fields",'wpwage'),
			            "param_name" => "custom_param",
			            "value" => "",
			            "group" => esc_html__("Pricing Settings", 'wpwage'),
		             	'params' => array(
		             		
		             		array(
					            "type" => "textfield",
					            "heading" => esc_html__("Values",'wpwage'),
					            "param_name" => "att_values",
					            "value" => "",
					            "admin_label" =>true,
					        ),
			             ),
			        ),
			      
			        array(
			            "type" => "vc_link",
			            "heading" => esc_html__("Sign Up",'wpwage'),
			            "param_name" => "pricing_sign_up",
			            "value" => "",
			            "group" => esc_html__("Pricing Settings", 'wpwage')
			        ),
			        array(
				        'type' => 'dropdown',
				        'heading' => esc_html__( 'Animate Delay', 'wpwage' ),
				        'param_name' => 'css_animation_delay',
				        'value' => wage_animate_time_delay_lib(),
				        'description' => esc_html__( 'Select animation in for page transition.', 'wpwage' ),
				        "group" => esc_html__("Pricing Settings", 'wpwage'),
				    ),
            	),
        	),
	 		/* For grid */
			array(
		        'type' => 'dropdown',
		        'heading' => esc_html__( 'Extra small devices', 'wpwage' ),
		        'param_name' => 'col_xs',
		        'description' => esc_html__( 'Phones (<768px)', 'wpwage' ),
		        'edit_field_class' => 'vc_col-sm-6 vc_column',
		        'value' => array(
		            esc_html__( '1 Column', 'wpwage' ) => 'col-xs-12',
		            esc_html__( '2 Columns', 'wpwage' ) => 'col-xs-6',
		            esc_html__( '3 Columns', 'wpwage' ) => 'col-xs-4',
		            esc_html__( '4 Columns', 'wpwage' ) => 'col-xs-3',
		            /*esc_html__( '6 Columns', 'wpwage' ) => 'col-xs-2'*/
		        ),
		        'std' => 'col-xs-12',
		    ),
		    array(
		        'type' => 'dropdown',
		        'heading' => esc_html__( 'Small devices','wpwage'),
		        'param_name' => 'col_sm',
		        'description' => esc_html__( 'Tablets (768px)', 'wpwage' ),
		        'edit_field_class' => 'vc_col-sm-6 vc_column',
		        'value' => array(
		            esc_html__( '1 Column', 'wpwage' ) => 'col-sm-12',
		            esc_html__( '2 Columns', 'wpwage' ) => 'col-sm-6',
		            esc_html__( '3 Columns', 'wpwage' ) => 'col-sm-4',
		            esc_html__( '4 Columns', 'wpwage' ) => 'col-sm-3',
		            /*esc_html__( '6 Columns', 'wpwage' ) => 'col-sm-2'*/
		        ),
		        'std' => 'col-sm-6',
		    ),
		    array(
		        'type' => 'dropdown',
		        'heading' => esc_html__( 'Medium devices','wpwage' ),
		        'param_name' => 'col_md',
		        'description' => esc_html__( 'Desktops (992px)', 'wpwage' ),
		        'edit_field_class' => 'vc_col-sm-6 vc_column',
		        'value' => array(
		            esc_html__( '1 Column', 'wpwage' ) => 'col-md-12',
		            esc_html__( '2 Columns', 'wpwage' ) => 'col-md-6',
		            esc_html__( '3 Columns', 'wpwage' ) => 'col-md-4',
		            esc_html__( '4 Columns', 'wpwage' ) => 'col-md-3',
		            /*esc_html__( '6 Columns', 'wpwage' ) => 'col-md-2'*/
		        ),
		        'std' => 'col-md-4',
		    ),
		    array(
		        'type' => 'dropdown',
		        'heading' => esc_html__( 'Large devices','wpwage'),
		        'param_name' => 'col_lg',
		        'description' => esc_html__( 'Desktops (1200px)', 'wpwage' ),
		        'edit_field_class' => 'vc_col-sm-6 vc_column',
		        'value' => array(
		            esc_html__( '1 Column', 'wpwage' ) => 'col-lg-12',
		            esc_html__( '2 Columns', 'wpwage' ) => 'col-lg-6',
		            esc_html__( '3 Columns', 'wpwage' ) => 'col-lg-4',
		            esc_html__( '4 Columns', 'wpwage' ) => 'col-lg-3',
		        ),
		        'std' => 'col-lg-3',
		    ),
			/* End */
			array(
	            "type" => "textfield",
	            "heading" => esc_html__("Extra Class",'wpwage'),
	            "param_name" => "class",
	            "value" => "",
	            "group" => esc_html__("Template", 'wpwage')
	        ),
	    	array(
	            "type" => "cms_template",
	            "heading" => esc_html__("Shortcode Template",'wpwage'),
	            "param_name" => "cms_template",
	            "shortcode" => "cms_pricing",
	            "admin_label" => true,
	            "group" => esc_html__("Template", 'wpwage'),
	        ),
	       
		)
	)
);
class WPBakeryShortCode_cms_pricing extends CmsShortCode{
	protected function content($atts, $content = null){
		$atts_extra = shortcode_atts(array(
			'image_icon' => '',
			'currency' => '',
			'period' => '',
			'price' => '',
			'css_animation_delay' => '',
			'cms_template' => 'cms_pricing.php',
			'class' => '',
			    ), $atts);
		if ( isset( $atts['values'] ) && strlen( $atts['values'] ) > 0 ) {
            $values = vc_param_group_parse_atts( $atts['values'] );
            if ( ! is_array( $values ) ) {
                $temp = explode( ',', $atts['values'] );
                $paramValues = array();
                foreach ( $temp as $value ) {
                    $data = explode( '|', $value );
                    
                    $newLine = array();
                    $newLine['title'] = isset( $data[0] ) ? $data[0] : 0;
                    $newLine['label'] = isset( $data[1] ) ? $data[1] : '';
                    if ( isset( $data[1] ) && preg_match( '/^\d{1,3}\%$/', $data[1] ) ) {
                        $colorIndex += 1;
                        $newLine['value'] = (float) str_replace( '%', '', $data[1] );
                        $newLine['label'] = isset( $data[2] ) ? $data[2] : '';
                    }
                    
                    $paramValues[] = $newLine;
                }

                $atts['values'] = urlencode( json_encode( $paramValues ) );
            }
        }
		return parent::content($atts, $content);
	}
}