<?php 
	add_filter( 'vc_iconpicker-type-peicon7stroke', 'vc_iconpicker_type_pe_icon_7_stroke' );

	function vc_iconpicker_type_pe_icon_7_stroke( $icons ) {
		$pe_icon_7_stroke = array(
			array( "pe-7s-album" => esc_html__( "album", "wpwage" ) ),
			array( "pe-7s-arc" => esc_html__( "arc", "wpwage" ) ),
			array( "pe-7s-back-2" => esc_html__( "back-2", "wpwage" ) ),
			array( "pe-7s-bandaid" => esc_html__( "bandaid", "wpwage" ) ),
			array( "pe-7s-car" => esc_html__( "car", "wpwage" ) ),
			array( "pe-7s-diamond" => esc_html__( "diamond", "wpwage" ) ),
			array( "pe-7s-door-lock" => esc_html__( "door-lock", "wpwage" ) ),
			array( "pe-7s-eyedropper" => esc_html__( "eyedropper", "wpwage" ) ),
			array( "pe-7s-female" => esc_html__( "female", "wpwage" ) ),
			array( "pe-7s-gym" => esc_html__( "gym", "wpwage" ) ),
			array( "pe-7s-hammer" => esc_html__( "hammer", "wpwage" ) ),
			array( "pe-7s-headphones" => esc_html__( "headphones", "wpwage" ) ),
			array( "pe-7s-helm" => esc_html__( "helm", "wpwage" ) ),
			array( "pe-7s-hourglass" => esc_html__( "hourglass", "wpwage" ) ),
			array( "pe-7s-leaf" => esc_html__( "leaf", "wpwage" ) ),
			array( "pe-7s-magic-wand" => esc_html__( "magic-wand", "wpwage" ) ),
			array( "pe-7s-male" => esc_html__( "male", "wpwage" ) ),
			array( "pe-7s-map-2" => esc_html__( "map-2", "wpwage" ) ),
			array( "pe-7s-next-2" => esc_html__( "next-2", "wpwage" ) ),
			array( "pe-7s-paint-bucket" => esc_html__( "paint-bucket", "wpwage" ) ),
			array( "pe-7s-pendrive" => esc_html__( "pendrive", "wpwage" ) ),
			array( "pe-7s-photo" => esc_html__( "photo", "wpwage" ) ),
			array( "pe-7s-piggy" => esc_html__( "piggy", "wpwage" ) ),
			array( "pe-7s-plugin" => esc_html__( "plugin", "wpwage" ) ),
			array( "pe-7s-refresh-2" => esc_html__( "refresh-2", "wpwage" ) ),
			array( "pe-7s-rocket" => esc_html__( "rocket", "wpwage" ) ),
			array( "pe-7s-settings" => esc_html__( "settings", "wpwage" ) ),
			array( "pe-7s-shield" => esc_html__( "shield", "wpwage" ) ),
			array( "pe-7s-smile" => esc_html__( "smile", "wpwage" ) ),
			array( "pe-7s-usb" => esc_html__( "usb", "wpwage" ) ),
			array( "pe-7s-vector" => esc_html__( "vector", "wpwage" ) ),
			array( "pe-7s-wine" => esc_html__( "wine", "wpwage" ) ),
			array( "pe-7s-cloud-upload" => esc_html__( "cloud-upload", "wpwage" ) ),
			array( "pe-7s-cash" => esc_html__( "cash", "wpwage" ) ),
			array( "pe-7s-close" => esc_html__( "close", "wpwage" ) ),
			array( "pe-7s-bluetooth" => esc_html__( "bluetooth", "wpwage" ) ),
			array( "pe-7s-cloud-download" => esc_html__( "cloud-download", "wpwage" ) ),
			array( "pe-7s-way" => esc_html__( "way", "wpwage" ) ),
			array( "pe-7s-close-circle" => esc_html__( "close-circle", "wpwage" ) ),
			array( "pe-7s-id" => esc_html__( "id", "wpwage" ) ),
			array( "pe-7s-angle-up" => esc_html__( "angle-up", "wpwage" ) ),
			array( "pe-7s-wristwatch" => esc_html__( "wristwatch", "wpwage" ) ),
			array( "pe-7s-angle-up-circle" => esc_html__( "angle-up-circle", "wpwage" ) ),
			array( "pe-7s-world" => esc_html__( "world", "wpwage" ) ),
			array( "pe-7s-angle-right" => esc_html__( "angle-right", "wpwage" ) ),
			array( "pe-7s-volume" => esc_html__( "volume", "wpwage" ) ),
			array( "pe-7s-angle-right-circle" => esc_html__( "angle-right-circle", "wpwage" ) ),
			array( "pe-7s-users" => esc_html__( "users", "wpwage" ) ),
			array( "pe-7s-angle-left" => esc_html__( "angle-left", "wpwage" ) ),
			array( "pe-7s-user-female" => esc_html__( "user-female", "wpwage" ) ),
			array( "pe-7s-angle-left-circle" => esc_html__( "angle-left-circle", "wpwage" ) ),
			array( "pe-7s-up-arrow" => esc_html__( "up-arrow", "wpwage" ) ),
			array( "pe-7s-angle-down" => esc_html__( "angle-down", "wpwage" ) ),
			array( "pe-7s-switch" => esc_html__( "switch", "wpwage" ) ),
			array( "pe-7s-angle-down-circle" => esc_html__( "angle-down-circle", "wpwage" ) ),
			array( "pe-7s-scissors" => esc_html__( "scissors", "wpwage" ) ),
			array( "pe-7s-wallet" => esc_html__( "wallet", "wpwage" ) ),
			array( "pe-7s-safe" => esc_html__( "safe", "wpwage" ) ),
			array( "pe-7s-volume2" => esc_html__( "volume2", "wpwage" ) ),
			array( "pe-7s-volume1" => esc_html__( "volume1", "wpwage" ) ),
			array( "pe-7s-voicemail" => esc_html__( "voicemail", "wpwage" ) ),
			array( "pe-7s-video" => esc_html__( "video", "wpwage" ) ),
			array( "pe-7s-user" => esc_html__( "user", "wpwage" ) ),
			array( "pe-7s-upload" => esc_html__( "upload", "wpwage" ) ),
			array( "pe-7s-unlock" => esc_html__( "unlock", "wpwage" ) ),
			array( "pe-7s-umbrella" => esc_html__( "umbrella", "wpwage" ) ),
			array( "pe-7s-trash" => esc_html__( "trash", "wpwage" ) ),
			array( "pe-7s-tools" => esc_html__( "tools", "wpwage" ) ),
			array( "pe-7s-timer" => esc_html__( "timer", "wpwage" ) ),
			array( "pe-7s-ticket" => esc_html__( "ticket", "wpwage" ) ),
			array( "pe-7s-target" => esc_html__( "target", "wpwage" ) ),
			array( "pe-7s-sun" => esc_html__( "sun", "wpwage" ) ),
			array( "pe-7s-study" => esc_html__( "study", "wpwage" ) ),
			array( "pe-7s-stopwatch" => esc_html__( "stopwatch", "wpwage" ) ),
			array( "pe-7s-star" => esc_html__( "star", "wpwage" ) ),
			array( "pe-7s-speaker" => esc_html__( "speaker", "wpwage" ) ),
			array( "pe-7s-signal" => esc_html__( "signal", "wpwage" ) ),
			array( "pe-7s-shuffle" => esc_html__( "shuffle", "wpwage" ) ),
			array( "pe-7s-shopbag" => esc_html__( "shopbag", "wpwage" ) ),
			array( "pe-7s-share" => esc_html__( "share", "wpwage" ) ),
			array( "pe-7s-server" => esc_html__( "server", "wpwage" ) ),
			array( "pe-7s-search" => esc_html__( "search", "wpwage" ) ),
			array( "pe-7s-film" => esc_html__( "film", "wpwage" ) ),
			array( "pe-7s-science" => esc_html__( "science", "wpwage" ) ),
			array( "pe-7s-disk" => esc_html__( "disk", "wpwage" ) ),
			array( "pe-7s-ribbon" => esc_html__( "ribbon", "wpwage" ) ),
			array( "pe-7s-repeat" => esc_html__( "repeat", "wpwage" ) ),
			array( "pe-7s-refresh" => esc_html__( "refresh", "wpwage" ) ),
			array( "pe-7s-add-user" => esc_html__( "add-user", "wpwage" ) ),
			array( "pe-7s-refresh-cloud" => esc_html__( "refresh-cloud", "wpwage" ) ),
			array( "pe-7s-paperclip" => esc_html__( "paperclip", "wpwage" ) ),
			array( "pe-7s-radio" => esc_html__( "radio", "wpwage" ) ),
			array( "pe-7s-note2" => esc_html__( "note2", "wpwage" ) ),
			array( "pe-7s-print" => esc_html__( "print", "wpwage" ) ),
			array( "pe-7s-network" => esc_html__( "network", "wpwage" ) ),
			array( "pe-7s-prev" => esc_html__( "prev", "wpwage" ) ),
			array( "pe-7s-mute" => esc_html__( "mute", "wpwage" ) ),
			array( "pe-7s-power" => esc_html__( "power", "wpwage" ) ),
			array( "pe-7s-medal" => esc_html__( "medal", "wpwage" ) ),
			array( "pe-7s-portfolio" => esc_html__( "portfolio", "wpwage" ) ),
			array( "pe-7s-like2" => esc_html__( "like2", "wpwage" ) ),
			array( "pe-7s-plus" => esc_html__( "plus", "wpwage" ) ),
			array( "pe-7s-left-arrow" => esc_html__( "left-arrow", "wpwage" ) ),
			array( "pe-7s-play" => esc_html__( "play", "wpwage" ) ),
			array( "pe-7s-key" => esc_html__( "key", "wpwage" ) ),
			array( "pe-7s-plane" => esc_html__( "plane", "wpwage" ) ),
			array( "pe-7s-joy" => esc_html__( "joy", "wpwage" ) ),
			array( "pe-7s-photo-gallery" => esc_html__( "photo-gallery", "wpwage" ) ),
			array( "pe-7s-pin" => esc_html__( "pin", "wpwage" ) ),
			array( "pe-7s-phone" => esc_html__( "phone", "wpwage" ) ),
			array( "pe-7s-plug" => esc_html__( "plug", "wpwage" ) ),
			array( "pe-7s-pen" => esc_html__( "pen", "wpwage" ) ),
			array( "pe-7s-right-arrow" => esc_html__( "right-arrow", "wpwage" ) ),
			array( "pe-7s-paper-plane" => esc_html__( "paper-plane", "wpwage" ) ),
			array( "pe-7s-delete-user" => esc_html__( "delete-user", "wpwage" ) ),
			array( "pe-7s-paint" => esc_html__( "paint", "wpwage" ) ),
			array( "pe-7s-bottom-arrow" => esc_html__( "bottom-arrow", "wpwage" ) ),
			array( "pe-7s-notebook" => esc_html__( "notebook", "wpwage" ) ),
			array( "pe-7s-note" => esc_html__( "note", "wpwage" ) ),
			array( "pe-7s-next" => esc_html__( "next", "wpwage" ) ),
			array( "pe-7s-news-paper" => esc_html__( "news-paper", "wpwage" ) ),
			array( "pe-7s-musiclist" => esc_html__( "musiclist", "wpwage" ) ),
			array( "pe-7s-music" => esc_html__( "music", "wpwage" ) ),
			array( "pe-7s-mouse" => esc_html__( "mouse", "wpwage" ) ),
			array( "pe-7s-more" => esc_html__( "more", "wpwage" ) ),
			array( "pe-7s-moon" => esc_html__( "moon", "wpwage" ) ),
			array( "pe-7s-monitor" => esc_html__( "monitor", "wpwage" ) ),
			array( "pe-7s-micro" => esc_html__( "micro", "wpwage" ) ),
			array( "pe-7s-menu" => esc_html__( "menu", "wpwage" ) ),
			array( "pe-7s-map" => esc_html__( "map", "wpwage" ) ),
			array( "pe-7s-map-marker" => esc_html__( "map-marker", "wpwage" ) ),
			array( "pe-7s-mail" => esc_html__( "mail", "wpwage" ) ),
			array( "pe-7s-mail-open" => esc_html__( "mail-open", "wpwage" ) ),
			array( "pe-7s-mail-open-file" => esc_html__( "mail-open-file", "wpwage" ) ),
			array( "pe-7s-magnet" => esc_html__( "magnet", "wpwage" ) ),
			array( "pe-7s-loop" => esc_html__( "loop", "wpwage" ) ),
			array( "pe-7s-look" => esc_html__( "look", "wpwage" ) ),
			array( "pe-7s-lock" => esc_html__( "lock", "wpwage" ) ),
			array( "pe-7s-lintern" => esc_html__( "lintern", "wpwage" ) ),
			array( "pe-7s-link" => esc_html__( "link", "wpwage" ) ),
			array( "pe-7s-like" => esc_html__( "like", "wpwage" ) ),
			array( "pe-7s-light" => esc_html__( "light", "wpwage" ) ),
			array( "pe-7s-less" => esc_html__( "less", "wpwage" ) ),
			array( "pe-7s-keypad" => esc_html__( "keypad", "wpwage" ) ),
			array( "pe-7s-junk" => esc_html__( "junk", "wpwage" ) ),
			array( "pe-7s-info" => esc_html__( "info", "wpwage" ) ),
			array( "pe-7s-home" => esc_html__( "home", "wpwage" ) ),
			array( "pe-7s-help2" => esc_html__( "help2", "wpwage" ) ),
			array( "pe-7s-help1" => esc_html__( "help1", "wpwage" ) ),
			array( "pe-7s-graph3" => esc_html__( "graph3", "wpwage" ) ),
			array( "pe-7s-graph2" => esc_html__( "graph2", "wpwage" ) ),
			array( "pe-7s-graph1" => esc_html__( "graph1", "wpwage" ) ),
			array( "pe-7s-graph" => esc_html__( "graph", "wpwage" ) ),
			array( "pe-7s-global" => esc_html__( "global", "wpwage" ) ),
			array( "pe-7s-gleam" => esc_html__( "gleam", "wpwage" ) ),
			array( "pe-7s-glasses" => esc_html__( "glasses", "wpwage" ) ),
			array( "pe-7s-gift" => esc_html__( "gift", "wpwage" ) ),
			array( "pe-7s-folder" => esc_html__( "folder", "wpwage" ) ),
			array( "pe-7s-flag" => esc_html__( "flag", "wpwage" ) ),
			array( "pe-7s-filter" => esc_html__( "filter", "wpwage" ) ),
			array( "pe-7s-file" => esc_html__( "file", "wpwage" ) ),
			array( "pe-7s-expand1" => esc_html__( "expand1", "wpwage" ) ),
			array( "pe-7s-exapnd2" => esc_html__( "exapnd2", "wpwage" ) ),
			array( "pe-7s-edit" => esc_html__( "edit", "wpwage" ) ),
			array( "pe-7s-drop" => esc_html__( "drop", "wpwage" ) ),
			array( "pe-7s-drawer" => esc_html__( "drawer", "wpwage" ) ),
			array( "pe-7s-download" => esc_html__( "download", "wpwage" ) ),
			array( "pe-7s-display2" => esc_html__( "display2", "wpwage" ) ),
			array( "pe-7s-display1" => esc_html__( "display1", "wpwage" ) ),
			array( "pe-7s-diskette" => esc_html__( "diskette", "wpwage" ) ),
			array( "pe-7s-date" => esc_html__( "date", "wpwage" ) ),
			array( "pe-7s-cup" => esc_html__( "cup", "wpwage" ) ),
			array( "pe-7s-culture" => esc_html__( "culture", "wpwage" ) ),
			array( "pe-7s-crop" => esc_html__( "crop", "wpwage" ) ),
			array( "pe-7s-credit" => esc_html__( "credit", "wpwage" ) ),
			array( "pe-7s-copy-file" => esc_html__( "copy-file", "wpwage" ) ),
			array( "pe-7s-config" => esc_html__( "config", "wpwage" ) ),
			array( "pe-7s-compass" => esc_html__( "compass", "wpwage" ) ),
			array( "pe-7s-comment" => esc_html__( "comment", "wpwage" ) ),
			array( "pe-7s-coffee" => esc_html__( "coffee", "wpwage" ) ),
			array( "pe-7s-cloud" => esc_html__( "cloud", "wpwage" ) ),
			array( "pe-7s-clock" => esc_html__( "clock", "wpwage" ) ),
			array( "pe-7s-check" => esc_html__( "check", "wpwage" ) ),
			array( "pe-7s-chat" => esc_html__( "chat", "wpwage" ) ),
			array( "pe-7s-cart" => esc_html__( "cart", "wpwage" ) ),
			array( "pe-7s-camera" => esc_html__( "camera", "wpwage" ) ),
			array( "pe-7s-call" => esc_html__( "call", "wpwage" ) ),
			array( "pe-7s-calculator" => esc_html__( "calculator", "wpwage" ) ),
			array( "pe-7s-browser" => esc_html__( "browser", "wpwage" ) ),
			array( "pe-7s-box2" => esc_html__( "box2", "wpwage" ) ),
			array( "pe-7s-box1" => esc_html__( "box1", "wpwage" ) ),
			array( "pe-7s-bookmarks" => esc_html__( "bookmarks", "wpwage" ) ),
			array( "pe-7s-bicycle" => esc_html__( "bicycle", "wpwage" ) ),
			array( "pe-7s-bell" => esc_html__( "bell", "wpwage" ) ),
			array( "pe-7s-battery" => esc_html__( "battery", "wpwage" ) ),
			array( "pe-7s-ball" => esc_html__( "ball", "wpwage" ) ),
			array( "pe-7s-back" => esc_html__( "back", "wpwage" ) ),
			array( "pe-7s-attention" => esc_html__( "attention", "wpwage" ) ),
			array( "pe-7s-anchor" => esc_html__( "anchor", "wpwage" ) ),
			array( "pe-7s-albums" => esc_html__( "albums", "wpwage" ) ),
			array( "pe-7s-alarm" => esc_html__( "alarm", "wpwage" ) ),
			array( "pe-7s-airplay" => esc_html__( "airplay", "wpwage" ) ),
		);
		return array_merge( $icons, $pe_icon_7_stroke );
	}
 ?>
