<?php
vc_remove_param('vc_btn', 'css_animation');

vc_add_param("vc_btn", array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Style', 'wpwage'),
    'description' => esc_html__( 'Select button display style.', 'wpwage'),
    'param_name' => 'style',
    'value' => array(
        esc_html__( 'Modern', 'wpwage') => 'modern',
        esc_html__( 'Classic', 'wpwage') => 'classic',
        esc_html__( 'Flat', 'wpwage') => 'flat',
        esc_html__( 'Outline', 'wpwage') => 'outline',
        esc_html__( '3d', 'wpwage') => '3d',
        esc_html__( 'Custom', 'wpwage') => 'custom',
        esc_html__( 'Outline custom', 'wpwage') => 'outline-custom',
        esc_html__( 'Gradient', 'wpwage') => 'gradient',
        esc_html__( 'Gradient Custom', 'wpwage') => 'gradient-custom',
        esc_html__( 'CMS Button', 'wpwage') => 'btn',
    ),
));
vc_add_param("vc_btn", array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Color', 'wpwage'),
    'description' => esc_html__( 'Select button display style.', 'wpwage'),
    'param_name' => 'color',
    'value' => array(
        esc_html__( 'Classic Grey', 'wpwage') => 'default',
        esc_html__( 'Classic Turquoise', 'wpwage') => 'info',
        esc_html__( 'Classic Green', 'wpwage') => 'success',
        esc_html__( 'Classic Orange', 'wpwage') => 'warning',
        esc_html__( 'Classic Red', 'wpwage') => 'danger',
        esc_html__( 'Classic Black', 'wpwage') => 'inverse',
        esc_html__( 'Blue', 'wpwage') => 'blue',
        esc_html__( 'Turquoise', 'wpwage') => 'turquoise',
        esc_html__( 'Pink', 'wpwage') => 'pink',
        esc_html__( 'Violet', 'wpwage') => 'violet',
        esc_html__( 'Peacoc', 'wpwage') => 'peacoc',
        esc_html__( 'Chino', 'wpwage') => 'chino',
        esc_html__( 'Mulled Wine', 'wpwage') => 'mulled-wine',
        esc_html__( 'Vista Blue', 'wpwage') => 'vista-blue',
        esc_html__( 'Black', 'wpwage') => 'black',
        esc_html__( 'Grey', 'wpwage') => 'grey',
        esc_html__( 'Orange', 'wpwage') => 'orange',
        esc_html__( 'Sky', 'wpwage') => 'sky',
        esc_html__( 'Green', 'wpwage') => 'green',
        esc_html__( 'Juicy pink', 'wpwage') => 'juicy-pink',
        esc_html__( 'Sandy brown', 'wpwage') => 'sandy-brown',
        esc_html__( 'Purple', 'wpwage') => 'purple',
        esc_html__( 'White', 'wpwage') => 'white',
        esc_html__( 'CMS Primary', 'wpwage') => 'btn-primary',
        esc_html__( 'CMS Secondary', 'wpwage') => 'btn-secondary',
        esc_html__( 'Default', 'wpwage') => 'btn-default',
        esc_html__( 'CMS Transparent', 'wpwage') => 'btn-transparent',
        esc_html__( 'Only Text', 'wpwage') => 'btn-only-text',
    ),
));
/*vc_add_param("vc_btn", array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Shape', 'wpwage'),
    'param_name' => 'shape',
    'description' => esc_html__( 'Select button color.', 'wpwage'),
    'value' => array(
            esc_html__( 'Rounded', 'wpwage') => 'rounded',//5px
            esc_html__( 'Square', 'wpwage') => 'square',
            esc_html__( 'Round', 'wpwage') => 'round',
            esc_html__( 'Rounded 4', 'wpwage') => 'cms-rounded4',
        ),
    'std' => '',
));*/

vc_add_param("vc_btn", array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Size', 'wpwage'),
    'param_name' => 'size',
    'description' => esc_html__( 'Select button display size.', 'wpwage'),
    'std' => 'md',
    'value' => array(
        esc_html__( 'Mini', 'wpwage') => 'xs',
        esc_html__( 'Small', 'wpwage') => 'sm',
        esc_html__( 'Normal', 'wpwage') => 'md',
        esc_html__( 'CMS Large', 'wpwage') => 'lg',
        esc_html__( 'CMS Maxlg', 'wpwage') => 'maxlg',
        esc_html__( 'CMS Size', 'wpwage') => 'btn-size',
    )
));
