<?php
$text =  $output =$grid_blog_bg_color = '';
    $custom_heading = (!empty($atts['custom_heading'])) ? $atts['custom_heading'] : '';
    $grid_blog_bg_color = !empty($atts['grid_blog_bg_color'])?$atts['grid_blog_bg_color']:'#222';
?>
<?php if ($custom_heading): ?>
    <div class="heading cms-custom-heading-wrap owl-custom-heading-wrap <?php echo esc_attr($atts['html_id']);?> " >
        <?php 

                $text_ar = explode(' ', trim($custom_heading));
                if(count($text_ar) > 1){
                    // lay tu cuoi cung ra thanh 1 bien
                    $text_last = $text_ar[count($text_ar)-1];
                    // xoa tu cuoi cung trong mang
                    $text_ar[count($text_ar)-1] = '';
                    //ghep cac tu khac
                    $text = implode(' ', $text_ar);
                    // in ra
                    $output = '<span class="head">'.$text. '</span> <span class="final">'.$text_last.'</span>';
                }
                else{
                    // in ra
                    $output = '<span class="head">'.$text. '</span>';
                }

            ?>


            <h3 class="cmsc-custom-heading"><?php echo wp_kses($output, array('span' => array('class'=> array()))); ?></h3>
            <div class="owl-readmore-wrap">
                <div class="owl-nav-wrap">
                    <span class="owl-prev-fake"><i class="fa fa-long-arrow-left"></i></span>
                    <span class="owl-next-fake"><i class="fa fa-long-arrow-right"></i></span>
                </div>
            </div>
    </div>
<?php endif ?>
<?php 
    $carousel_blog_style='';
    if (!empty($atts['carousel_blog_style']) ) {

        $carousel_blog_style = $atts['carousel_blog_style']; 
    }
    switch ( $carousel_blog_style) {
        case 'layout2':
           ?>
                <div class="cms-carousel owl-carousel cms-carousel-blog layout2  <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
                <?php
                $posts = $atts['posts'];
                $index =0;
                while($posts->have_posts()){
                    $posts->the_post();
                     $format = get_post_format() ? : 'standard';
                    ?>
                    <div class="cms-grid-item cms_grid_blog " data-wow-delay="<?php echo esc_attr($index*80); ?>ms">
                    <div class="cms-grid-item-inner main-content" >
                        <article <?php post_class('fadeIn wow'); ?>>
                            <div class="entry-content">
                                <div class="row">
                                    <div class="col-md-6 col-sm-12">
                                         <div class="grid_thumb" style="background-color:<?php echo esc_attr($grid_blog_bg_color); ?>">
                                            <?php
                                            switch ($format) {
                                                case 'video':
                                                    wage_post_video();
                                                    break;
                                                case 'quote':

                                                    wage_post_quote();
                                                    break;
                                                case 'gallery':
                                                    wage_post_gallery();
                                                    break;
                                                case 'audio':
                                                    wage_post_audio();
                                                    break;
                                                
                                                default:
                                                    wage_post_thumbnail('wage-thumb-project3');
                                                    
                                                    break;
                                                }
                                             ?>
                                         </div>
                                    </div>
                                    <div class="col-md-6 col-sm-12">
                                        <header class="entry-header">
                                            <?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>
                                            <div class="cate"><?php the_terms( get_the_ID(), 'category', '', ', ' ); ?></div> 
                                        </header><!-- .entry-header -->

                                        <?php  echo wp_trim_words( get_the_excerpt(), 20 , '' );  ?>
                                         <footer class="entry-footer">
                                            <a href="<?php the_permalink(); ?>"><span><?php esc_html_e('Read More', 'wpwage') ?></span></a>
                                        </footer><!-- .entry-footer -->
                                    </div>
                                </div>
                                </div><!-- .entry-content -->
                              
                        </article><!-- #post-## -->
                    </div>
                </div>
                <?php
                $index ++;     }
            ?>
        </div>
           <?php
            break;
        
        default:
           ?>
            <div class="cms-carousel owl-carousel cms-carousel-blog  <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
                <?php
                $posts = $atts['posts'];
                $index =0;
                while($posts->have_posts()){
                    $posts->the_post();
                     $format = get_post_format() ? : 'standard';
                    ?>
                    <div class="cms-grid-item cms_grid_blog " data-wow-delay="<?php echo esc_attr($index*80); ?>ms">
                                <div class="cms-grid-item-inner main-content" >
                                    <article <?php post_class('fadeIn wow'); ?>>
                                        <div class="entry-content">
                                            <div class="grid_thumb" style="background-color:<?php echo esc_attr($grid_blog_bg_color); ?>">
                                                <?php
                                                switch ($format) {
                                                    case 'video':
                                                        wage_post_video();
                                                        break;
                                                    case 'quote':

                                                        wage_post_quote();
                                                        break;
                                                    case 'gallery':
                                                        wage_post_gallery();
                                                        break;
                                                    case 'audio':
                                                        wage_post_audio();
                                                        break;
                                                    
                                                    default:
                                                        wage_post_thumbnail('large');
                                                        
                                                        break;
                                                    }
                                                 ?>
                                             </div>

                                                <header class="entry-header">

                                                    <?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>

                                                    <div class="entry-meta">

                                                        <?php wage_archive_detail(); ?>

                                                    </div><!-- .entry-meta -->
                                                </header><!-- .entry-header -->

                                                <?php
                                                /* translators: %s: Name of current post */
                                                 /*get limit word*/
                                                    the_excerpt();

                                                wp_link_pages( array(
                                                    'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'wpwage' ) . '</span>',
                                                    'after'       => '</div>',
                                                    'link_before' => '<span>',
                                                    'link_after'  => '</span>',
                                                ) );

                                                ?>
                                            </div><!-- .entry-content -->
                                           <footer class="entry-footer">
                                            <a href="<?php the_permalink(); ?>"><span><?php esc_html_e('Read More', 'wpwage') ?></span></a>
                                        </footer><!-- .entry-footer -->
                                    </article><!-- #post-## -->
                                </div>
                            </div>
                        <?php
                        $index ++;     }
                    ?>
                </div>

           <?php
            break;
    }
 ?>
