<?php	
	/* Jquery Countdown libs */
	wp_enqueue_script('wage-plugin', get_template_directory_uri() . '/assets/js/countdown/jquery.plugin.min.js', array( 'jquery' ), '1.0.1', false);
    wp_enqueue_script('wage-countdown-plugin', get_template_directory_uri() . '/assets/js/countdown/jquery.countdown.min.js', array( 'wage-plugin' ), '2.0.2', true);

    $date_count_down = $coming_heading =  $coming_subs = $count_down = '';

	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
	extract( $atts );

	$gmt_offset = get_option( 'gmt_offset' );

	?>

		<h1 class="comingsoon-title text-center">
			<?php echo esc_html($coming_heading); ?>
		</h1>
	<?php
	if (!empty($date_count_down)) {
		$date_count_down = date('Y,m,d,H,i,s', strtotime($date_count_down));
		$count_down .= '<div class="cms-countdown clearfix text-center">';
		$count_down .= '<div class="cms-countdown-bar cms-countdown-time" data-count="'.esc_attr($date_count_down).'" data-timezone="'.esc_attr($gmt_offset).'"></div>';

		$count_down .= '</div>';
		echo wp_kses($count_down, array(
				'div' => array(
					'class' => array(),
					'data-count' => array(),
					'data-timezone' => array()
					),
				'span' => array(
					'class' => array()
					)
			));

	} else {
		echo '<div class="required clearfix">';
		echo '<h1>'.esc_html__('Please choose your time remaining first!','wpwage').'</h1>';
		echo '</div>';
	}