<?php 
    /* get categories */
        $taxo = 'categories_projects';
        $_category = array();
        if(!isset($atts['cat']) || $atts['cat']==''){
            $terms = get_terms($taxo);
            foreach ($terms as $cat){
                $_category[] = $cat->term_id;
            }
        } else {
            $_category  = explode(',', $atts['cat']);
        }
        $atts['categories'] = $_category; 
         /*ajax media*/
        wp_enqueue_style( 'wp-mediaelement' );
        wp_enqueue_script( 'wp-mediaelement' );
        /* js, css for load more */
        wp_register_script( 'cms-loadmore-js', get_template_directory_uri().'/assets/js/loadmore.js', array('jquery') ,'1.0',true);
        // What page are we on? And what is the pages limit?
        global $wp_query;
        $max = $wp_query->max_num_pages;
        $limit = $atts['limit'];
        $paged = ( get_query_var('paged') > 1 ) ? get_query_var('paged') : 1;
     
        // Add some parameters for the JS.
        $current_id =  str_replace('-','_',$atts['html_id']);
        wp_localize_script(
            'cms-loadmore-js',
            'cms_more_obj'.$current_id,
            array(
                'startPage' => $paged,
                'maxPages' => $max,
                'total' => $wp_query->found_posts,
                'perpage' => $limit,
                'nextLink' => next_posts($max, false),
                'masonry' => $atts['layout']
            )
        );
        wp_enqueue_script( 'cms-loadmore-js' );
        ?>
    <div class="cms-grid-wraper <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
            <?php if($atts['filter']=="true" and $atts['layout']=='masonry'):?>
                <div class="cms-grid-filter cms-filter-wrap">
                    <div class="cms-grid-filter-inphone hidden">
                        <a href="#" class="active"><span><?php echo esc_html__('Select Filter','wpwage') ;?></span></a>
                    </div>
                    <ul class="cms-filter-category list-unstyled list-inline">
                        <li><a class="active btn-brd" href="#" data-group="all" ><?php echo esc_html__('All','wpwage'); ?></a></li>
                        <?php 
                        if(is_array($atts['categories']))
                        foreach($atts['categories'] as $category):?>
                            <?php $term = get_term( $category, $taxo );?>
                            <li><a href="#" data-group="<?php echo esc_attr('category-'.$term->slug);?>">
                                    <?php echo esc_html($term->name);?>
                                </a>
                            </li>
                        <?php endforeach;?>
                    </ul>
                </div>
            <?php endif;?>
            <div class="row cms-grid cms_grid_portfolio  <?php echo esc_attr($atts['grid_class']);?> ">


                <?php
                $posts = $atts['posts'];
                $size = 'wage-thumb-project3';
                $item = 0;
                while($posts->have_posts()){
                    $posts->the_post();
                    $groups = array();
                    $groups[] = '"all"';
                    foreach(cmsGetCategoriesByPostID(get_the_ID(),$taxo) as $category){
                        $groups[] = '"category-'.$category->slug.'"';
                    }
                    ?>

                    <?php

                    $col_lg = 12 / $atts['col_lg'];
                    $col_md = 12 / $atts['col_md'];
                    $col_sm = 12 / $atts['col_sm'];
                    $col_xs = 12 / $atts['col_xs'];

                    if($item==2 || $item==3){
                        $col_lg = $col_lg*2;
                        $col_md = $col_md*2;
                    }
                    ?>
                    <div class="item-<?php echo esc_attr($item); ?> cms-popup-gallery cms-grid-item cms_masonry <?php echo "col-lg-".$col_lg." col-md-".$col_md." col-sm-".$col_sm." col-xs-".$col_xs; ?>" data-groups='[<?php echo implode(',', $groups);?>]'>
                        <div class="cms_project mb30" onclick="" >
                            <div class="thumb"> <img src="<?php echo wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), $size, false)[0]; ?>" alt="" ></div>
                            <div class="overlay"> 
                                <div class="desc">
                                   <?php the_title( '<a class="title" href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a>' ); ?>
                                    <span class="taxo"><?php echo get_the_term_list( get_the_ID(), 'categories_projects', '', ', ', '' ); ?></span> 
                                </div>
                            <a href="<?php echo wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'full' , false)[0]; ?>" class="gallery-popup lightbox"><i class="pe-7s-search"></i> </a>
                            </div>
                        </div>
                    </div>
                    <?php

                    $item++;
                }
                ?>
            </div>
                <?php
                if (!empty($atts['checkbox_grid_nav'])) {
                    echo '<div class="cms_pagination"></div>';
                }?></div>
        </div>
