<?php 
    /* get categories */
        $taxo = 'category';
        $_category = array();
        if(!isset($atts['cat']) || $atts['cat']==''){
            $terms = get_terms($taxo);
            foreach ($terms as $cat){
                $_category[] = $cat->term_id;
            }
        } else {
            $_category  = explode(',', $atts['cat']);
        }
        $atts['categories'] = $_category;
        $checkbox_grid_nopadd = !empty($atts['checkbox_grid_nopadd'])?esc_attr('nopadding','wpwage'):'';
        $grid_blog_bg_color = !empty($atts['grid_blog_bg_color'])?$atts['grid_blog_bg_color']:'#222';

         $grid_blog_style='';
        if (!empty($atts['grid_blog_style']) ) {

            $grid_blog_style = $atts['grid_blog_style']; 
        }
?>
<div class="cms-grid-wraper <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
    <?php if($atts['filter']=="true" and $atts['layout']=='masonry'):?>
        <div class="cms-grid-filter cms-filter-wrap">
            <div class="cms-grid-filter-inphone hidden">
                <a href="#" class="active"><span><?php echo esc_html__('Select Filter','wpwage') ;?>r</span></a>
            </div>
            <ul class="cms-filter-category list-unstyled list-inline">
                <li><a class="active" href="#" data-group="all"><?php echo esc_html__('All','wpwage'); ?></a></li>
                <?php 
                if(is_array($atts['categories']))
                foreach($atts['categories'] as $category):?>
                    <?php $term = get_term( $category, $taxo );?>
                    <li><a href="#" data-group="<?php echo esc_attr('category-'.$term->slug);?>">
                            <?php echo esc_html($term->name);?>
                        </a>
                    </li>
                <?php endforeach;?>
            </ul>
        </div>
    <?php endif;?>
    <?php 
        switch ($grid_blog_style) {
            case 'default':
               ?>
                <div class="row cms-grid row-eq-height <?php echo esc_attr($atts['grid_class']);?> <?php echo esc_attr($checkbox_grid_nopadd); ?>">
                        <?php
                        $posts = $atts['posts'];
                        $index = 0;
                        while($posts->have_posts()){
                            $posts->the_post();
                            $groups = array();
                            $groups[] = '"all"';
                            foreach(cmsGetCategoriesByPostID(get_the_ID(),$taxo) as $category){
                                $groups[] = '"category-'.$category->slug.'"';
                            }
                            $format = get_post_format() ? : 'standard';
                            ?>
                            <div class="cms-grid-item cms_grid_blog wow fadeIn  <?php echo esc_attr($atts['item_class']);?>" data-groups='[<?php echo implode(',', $groups);?>]' data-wow-delay="<?php echo esc_attr($index*200); ?>ms">
                                <div class="cms-grid-item-inner main-content" >
                                    <article id="post-<?php the_ID(); ?>" <?php post_class('fadeIn wow'); ?>>
                                            <div class="entry-content">
                                                    <div class="grid_thumb" style="background-color:<?php echo esc_attr($grid_blog_bg_color); ?>">
                                                        <?php
                                                        switch ($format) {
                                                            case 'video':
                                                                wage_post_video();
                                                                break;
                                                            case 'quote':

                                                                wage_post_quote();
                                                                break;
                                                            case 'gallery':
                                                                wage_post_gallery();
                                                                break;
                                                            case 'audio':
                                                                wage_post_audio();
                                                                break;
                                                            
                                                            default:
                                                                wage_post_thumbnail('large');
                                                                
                                                                break;
                                                        }
                                                     ?>
                                                 </div>

                                                <header class="entry-header">

                                                    <?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>

                                                    <div class="entry-meta">

                                                        <?php wage_archive_detail(); ?>

                                                    </div><!-- .entry-meta -->
                                                </header><!-- .entry-header -->

                                                <?php
                                                /* translators: %s: Name of current post */
                                                 /*get limit word*/
                                                    the_excerpt();

                                                wp_link_pages( array(
                                                    'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'wpwage' ) . '</span>',
                                                    'after'       => '</div>',
                                                    'link_before' => '<span>',
                                                    'link_after'  => '</span>',
                                                ) );

                                                ?>
                                            </div><!-- .entry-content -->
                                           <footer class="entry-footer">
                                            <a href="<?php the_permalink(); ?>"><span><?php esc_html_e('Read More', 'wpwage') ?></span></a>
                                        </footer><!-- .entry-footer -->
                                    </article><!-- #post-## -->
                                </div>
                            </div>
                        <?php $index++; } ?>
                    </div>
               <?php
                break;
            
            case 'mask':
                 ?>
                    <div class="row cms-grid <?php echo esc_attr($atts['grid_class']);?> <?php echo esc_attr($checkbox_grid_nopadd); ?>">
                        <?php
                        $posts = $atts['posts'];
                        $index = 0;
                        while($posts->have_posts()){
                            $posts->the_post();
                            $groups = array();
                            $groups[] = '"all"';
                            foreach(cmsGetCategoriesByPostID(get_the_ID(),$taxo) as $category){
                                $groups[] = '"category-'.$category->slug.'"';
                            }
                            $format = get_post_format() ? : 'standard';
                            ?>
                            <div class="cms-grid-item cms_grid_blog_mark <?php echo esc_attr($atts['item_class']);?>" data-groups='[<?php echo implode(',', $groups);?>]' >
                                <div class="cms-grid-item-inner main-content" >
                                    <article <?php post_class(); ?>>
                                            <div class="entry-content">
                                                    <div class="grid_thumb">
                                                        <?php
                                                        switch ($format) {
                                                            case 'video':
                                                                wage_post_video();
                                                                break;
                                                            case 'quote':
                                                                wage_post_quote();
                                                                break;
                                                            case 'gallery':
                                                                wage_post_gallery();
                                                                break;
                                                            case 'audio':
                                                                wage_post_audio();
                                                                break;
                                                            
                                                            default:
                                                                wage_post_thumbnail_grid('wage-thumb-blog-mark');
                                                                
                                                                break;
                                                        }
                                                     ?>
                                                    </div>
                                            </div><!-- .entry-content -->
                                    </article><!-- #post-## -->
                                </div>
                            </div>
                        <?php $index++; } ?>
                    </div>
                 <?php
                break; } ?>
         <?php
        if (!empty($atts['checkbox_grid_nav'])) {
            ?>
            <div class="nav_grid"><?php  wage_paging_nav(); ?></div>
            <?php
       
    }
    ?>

</div>