<?php 
	
	remove_action('woocommerce_before_main_content','woocommerce_breadcrumb',20);
	remove_action('woocommerce_after_shop_loop_item_title','woocommerce_template_loop_rating',5);
	remove_action('woocommerce_after_shop_loop_item_title','woocommerce_template_loop_price',10);
	add_action('woocommerce_after_shop_loop_item_title','woocommerce_template_loop_rating',10);
	add_action('woocommerce_after_shop_loop_item_title','woocommerce_template_loop_price',5);



	remove_action('woocommerce_before_shop_loop_item','woocommerce_template_loop_product_link_open',10);
	remove_action('woocommerce_after_shop_loop_item','woocommerce_template_loop_product_link_close',10);


	remove_action('woocommerce_shop_loop_item_title','woocommerce_template_loop_product_title',10);
	add_action('woocommerce_shop_loop_item_title','wage_woo_template_loop_product_title',10);

	
	remove_action('woocommerce_before_shop_loop_item_title','woocommerce_show_product_loop_sale_flash',10);
	remove_action('woocommerce_before_shop_loop_item_title','woocommerce_template_loop_product_thumbnail',10);
	/*add_action('woocommerce_before_shop_loop_item_title','wage_template_loop_product_thumbnail',10);*/


	remove_action('woocommerce_after_shop_loop_item','woocommerce_template_loop_add_to_cart',10);
	/*add_action('woocommerce_before_shop_loop_item_title','woocommerce_template_loop_add_to_cart',10);
	add_action('woocommerce_before_shop_loop_item_title','wage_woo_love',10);*/

	/*Single ---*/
	remove_action('woocommerce_single_product_summary','woocommerce_template_single_title',5);
	add_action('woocommerce_single_product_summary','wage_woo_template_single_title',5);
	remove_action('woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20);
	remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40);
	add_action('woocommerce_single_product_summary', 'wage_single_product_meta', 40);
	/*End Single ---*/

	/* Cross Sell Product */
	remove_action( 'woocommerce_cart_collaterals', 'woocommerce_cross_sell_display' );
    remove_action( 'woocommerce_checkout_order_review', 'woocommerce_checkout_payment', 20 );



function wage_single_product_meta() {
    echo '<h3>'.esc_html('Other Details','wpwage').'</h3>';
    echo woocommerce_template_single_meta();
    echo wage_single_social_share();
}

function wage_checkout_payment() {
    echo '<div class="checkout_payment_wrap">';
	echo '<h3>'.esc_html('PAYMENT METHODS','wpwage').'</h3>';
	echo woocommerce_checkout_payment();
    echo '</div>';
}

add_action( 'wp_ajax_product_remove', 'product_remove' );
add_action( 'wp_ajax_nopriv_product_remove', 'product_remove' );
function product_remove() {
    $cart = WC()->instance()->cart;
    $item_key = $_POST['product_key'];
    if($item_key){
       $result = $cart->remove_cart_item($item_key);
    }
    exit();
}

/**
 * Show the product title in the product loop. By default this is an H3.
 * @return void
 */
function wage_woo_template_loop_product_title() {
	echo '<h4 class="title"><a href="'.get_the_permalink().'">' . get_the_title() . '</a></h4>';
}


function wage_woo_template_single_title() {
	echo '<div class="title_wrap clearfix">';
	echo '<h3 class="title">' . get_the_title() . '</h3>';
	wage_woo_post_nav();
	echo '</div>';
}

function wage_woo_love() {
	if (class_exists( 'YITH_WCWL' )) {
        echo do_shortcode('[yith_wcwl_add_to_wishlist]');
    }
}

/* Ajax update cart total number */
add_filter('woocommerce_add_to_cart_fragments', 'wage_woo_mini_total_cart_fragment');
function wage_woo_mini_total_cart_fragment( $fragments ) {
    global $woocommerce;
    ob_start();
    ?>
    <span class="cart_total"><?php echo ''.$woocommerce->cart->cart_contents_count; ?></span>
    <?php
    $fragments['span.cart_total'] = ob_get_clean();
    return $fragments;
}

/* Ajax update cart item */
add_filter('woocommerce_add_to_cart_fragments', 'wage_woo_mini_cart_item_fragment');
function wage_woo_mini_cart_item_fragment( $fragments ) {
    global $woocommerce;
    ob_start();
    ?>
    <div class="shopping_cart_dropdown">
        <div class="shopping_cart_dropdown_inner">
            <?php
                $cart_is_empty = sizeof( $woocommerce->cart->get_cart() ) <= 0;
            ?>
            <ul class="cart_list product_list_widget">
            <?php do_action( 'woocommerce_before_mini_cart_contents' ); ?>
            <?php if ( ! WC()->cart->is_empty() ) : ?>
                <?php
                    foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
                        $_product     = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
                        $product_id   = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );

                        if ( $_product && $_product->exists() && $cart_item['quantity'] > 0 && apply_filters( 'woocommerce_widget_cart_item_visible', true, $cart_item, $cart_item_key ) ) {
                            $product_name      = apply_filters( 'woocommerce_cart_item_name', $_product->get_name(), $cart_item, $cart_item_key );
                            $thumbnail         = apply_filters( 'woocommerce_cart_item_thumbnail', $_product->get_image(), $cart_item, $cart_item_key );
                            $product_price     = apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key );
                            $product_permalink = apply_filters( 'woocommerce_cart_item_permalink', $_product->is_visible() ? $_product->get_permalink( $cart_item ) : '', $cart_item, $cart_item_key );
                            ?>
                            <li class="<?php echo esc_attr( apply_filters( 'woocommerce_mini_cart_item_class', 'mini_cart_item', $cart_item, $cart_item_key ) ); ?>">
                                <div class="pull-left">
                                    <?php
                                        echo apply_filters( 'woocommerce_cart_item_remove_link', sprintf(
                                            '<a href="%s" class="remove" aria-label="%s" data-product_id="%s" data-item_key="%s" data-product_sku="%s">&times;</a>',
                                            esc_url( WC()->cart->get_remove_url( $cart_item_key ) ),
                                            esc_html__( 'Remove this item', 'wpwage' ),
                                            esc_attr( $product_id ),
                                            esc_attr( $cart_item_key ),
                                            esc_attr( $_product->get_sku() )
                                        ), $cart_item_key );
                                        ?>
                                        <?php if ( ! $_product->is_visible() ) : ?>
                                            <?php echo str_replace( array( 'http:', 'https:' ), '', $thumbnail ) . '&nbsp;'; ?>
                                        <?php else : ?>
                                            <a href="<?php echo esc_url( $product_permalink ); ?>">
                                                <?php echo str_replace( array( 'http:', 'https:' ), '', $thumbnail ) . '&nbsp;'; ?>
                                            </a>
                                        <?php endif; ?>
                                </div>
                                <div class="product-desc">
                                    <h5><?php echo esc_html($product_name); ?></h5>
                                    <?php echo WC()->cart->get_item_data( $cart_item ); ?>
                                    <?php echo apply_filters( 'woocommerce_widget_cart_item_quantity', '<span class="quantity">' . sprintf( '%s &times; %s', $cart_item['quantity'], $product_price ) . '</span>', $cart_item, $cart_item_key ); ?>
                                </div>
                            </li>
                            <?php
                        }
                    }
                ?>
                <?php do_action( 'woocommerce_mini_cart_contents' ); ?>
                <?php else : ?>
                    <li class="empty"><?php esc_html_e( 'No products in the cart.', 'wpwage' ); ?></li>
                <?php endif; ?>

            </ul><!-- end product list -->
        </div>

        <?php if ( ! WC()->cart->is_empty() ) : ?>

            <p class="total"><strong><?php esc_html_e( 'Subtotal', 'wpwage' ); ?>:</strong> <?php echo WC()->cart->get_cart_subtotal(); ?></p>

            <?php do_action( 'woocommerce_widget_shopping_cart_before_buttons' ); ?>

            <p class="buttons">
                <?php do_action( 'woocommerce_widget_shopping_cart_buttons' ); ?>
            </p>
        <?php endif; ?>
    </div>
    <?php
    $fragments['div.shopping_cart_dropdown'] = ob_get_clean();
    return $fragments;
}
