<?php
/**
 * Template Name: Page Maintenance Mode
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 * @author Fox
 */

get_header(); ?>
<div class="overlay"></div>
<div class="page_maintenance">
    <div class="page_maintenance_inner">
        <div class="title">
            <span class="head"><?php echo esc_html('The website is in', 'wpwage'); ?></span>
            <span class="final"><?php echo esc_html('maintenance mode.', 'wpwage'); ?></span>
        </div>
        <div id="primary" class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-12">
                    <main id="main" class="site-main page-comingsoon">
                        <?php
                        // Start the loop.
                        while ( have_posts() ) : the_post();
                            /* Include the page content template. */ 
                            get_template_part( 'single-templates/content', 'page' );
                            /*End the loop.*/
                        endwhile;
                        ?>
                    </main><!-- .site-main -->
                </div>
            </div>
        </div><!-- .content-area -->
    </div>
</div>
<?php get_footer(); ?>
