<?php
vc_remove_param('cms_counter_single', 'title');
vc_remove_param('cms_counter_single', 'description');
vc_remove_param('cms_counter_single', 'title');
vc_remove_param('cms_counter_single', 'title');

/* Start Icon */
vc_add_param('cms_counter_single', array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Icon library', 'wpwage' ),
    'param_name' => 'icon_type',
    'value' => array(
        esc_html__( 'Font Awesome', 'wpwage' ) => 'fontawesome',
        esc_html__( 'Pe Icon 7 Stroke', 'wpwage' ) => 'peicon7stroke',
        esc_html__( 'Font Ello', 'wpwage' ) => 'fontello',
    ),
    'description' => esc_html__( 'Select icon library.', 'wpwage' ),
    "group" => esc_html__("Counters Settings", 'wpwage'),

));

vc_add_param('cms_counter_single', array(
    'type' => 'iconpicker',
    'heading' => esc_html__( 'Icon Item', 'wpwage' ),
    'param_name' => 'icon_fontawesome',
    'value' => '',
    'settings' => array(
        'emptyIcon' => true, // default true, display an "EMPTY" icon?
        'type' => 'fontawesome',
        'iconsPerPage' => 200, // default 100, how many icons per/page to display
    ),
    'dependency' => array(
        'element' => 'icon_type',
        'value' => 'fontawesome',
    ),
    'description' => esc_html__( 'Select icon from library.', 'wpwage' ),
    "group" => esc_html__("Counters Settings", 'wpwage'),
));

vc_add_param('cms_counter_single', array(
    'type' => 'iconpicker',
    'heading' => esc_html__( 'Icon Item', 'wpwage' ),
    'param_name' => 'icon_peicon7stroke',
    'value' => '',
    'settings' => array(
        'emptyIcon' => true, // default true, display an "EMPTY" icon?
        'type' => 'peicon7stroke',
        'iconsPerPage' => 200, // default 100, how many icons per/page to display
    ),
    'dependency' => array(
        'element' => 'icon_type',
        'value' => 'peicon7stroke',
    ),
    'description' => esc_html__( 'Select icon from library.', 'wpwage' ),
    "group" => esc_html__("Counters Settings", 'wpwage'),
));

vc_add_param('cms_counter_single', array(
    'type' => 'iconpicker',
    'heading' => esc_html__( 'Icon Item', 'wpwage' ),
    'param_name' => 'icon_fontello',
    'value' => '',
    'settings' => array(
        'emptyIcon' => true, // default true, display an "EMPTY" icon?
        'type' => 'fontello',
        'iconsPerPage' => 200, // default 100, how many icons per/page to display
    ),
    'dependency' => array(
        'element' => 'icon_type',
        'value' => 'fontello',
    ),
    'description' => esc_html__( 'Select icon from library.', 'wpwage' ),
    "group" => esc_html__("Counters Settings", 'wpwage'),
));
/*End Icon*/


vc_add_param("cms_counter_single", array(
    'type' => 'colorpicker',
    'heading' => esc_html__('Text color', 'wpwage'),
    'param_name' => 'value_color',
    'value' => '',
    'description' => esc_html__('Select text color.', 'wpwage'),
    "group" => esc_html__("Counters Settings", 'wpwage'),
));