<?php
vc_add_param("vc_custom_heading", array(
    "type" => "img",
    "heading" => esc_html__("Custom Heading Style", 'wpwage'),
    "admin_label" => true,
    "param_name" => "cms_ch_type",
    'value' => array(
        'default' => get_template_directory_uri().'/vc_params/heading/default.jpg',
        'heading' => get_template_directory_uri().'/vc_params/heading/heading.jpg',
        'heading white' => get_template_directory_uri().'/vc_params/heading/heading-white.jpg',
        'heading black' => get_template_directory_uri().'/vc_params/heading/heading-link.jpg',
    ),
    "description" => esc_html__('Select custom heading type', 'wpwage'),
    "group" => esc_html__("CMS Custom", 'wpwage'),

));

vc_add_param("vc_custom_heading", array(
    "type" => "checkbox",
    "heading" => esc_html__("No Line", 'wpwage'),
    "admin_label" => true,
    "param_name" => "no_line",
    'dependency' => array(
        'element' => 'cms_ch_type',
        'value' => array(
            'heading',
            'heading white',
        ),
    ),
    "description" => esc_html__('Remove Line Bottom Heading', 'wpwage'),
    "group" => esc_html__("CMS Custom", 'wpwage'),

));
vc_add_param("vc_custom_heading", array(
    "type" => "textfield",
    "class" => "",
    "heading" => esc_html__("Sub heading", 'wpwage'),
    "param_name" => "cms_custom_sub_headding",
    "description" => esc_html__('Enter sub heading', 'wpwage'),
    "group" => esc_html__("CMS Custom", 'wpwage'),
));