<?php vc_add_param('vc_row', array(
    'type' => 'checkbox',
    'heading' => esc_html__("Row Arrow", 'wpwage'),
    'param_name' => 'row_arrow',
    'std' => false,
    'group' => 'CMS Custom'
));

vc_add_param("vc_row", array(
    'type' => 'vc_link',
    'heading' => esc_html__( 'URL (Link)', 'wpwage' ),
    'param_name' => 'link',
    'description' => esc_html__( 'Add link and text to arrow.', 'wpwage' ),
    'group' => 'CMS Custom',
    'dependency' => array(
        'element' => 'row_arrow',
        'value' => 'true',
    ),
));

vc_add_param("vc_row", array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Arrow name', 'wpwage' ),
    'param_name' => 'arrow_name',
    'description' => esc_html__( 'Select arrow name.', 'wpwage' ),
    'value' => array(
        'Arrow down' => 'fa-angle-down'
    ),
    'group' => 'CMS Custom',
    'dependency' => array(
        'element' => 'row_arrow',
        'value' => 'true',
    ),
));

vc_add_param('vc_row', array(
    'type' => 'colorpicker',
    'heading' => esc_html__( 'Arrow color', 'wpwage' ),
    'param_name' => 'cms_arrow_color',
    'description' => esc_html__( 'Set color for arrow', 'wpwage' ),
    'group' => 'CMS Custom',
    'dependency' => array(
        'element' => 'row_arrow',
        'value' => 'true',
    ),
));
vc_add_param('vc_row', array(
        'type' => 'checkbox',
        'heading' => esc_html__("Overlay Color", 'wpwage'),
        'param_name' => 'overlay_row',
        'std' => false,
        'group' => 'CMS Custom',
    )); 
    vc_add_param("vc_row", array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => esc_html__('Background Color Overlay', 'wpwage'),
        "param_name" => "overlay_color",
        'group' => 'CMS Custom',
        "dependency" => array(
            "element" => "overlay_row",
            "value" => array(
                "true"
            )
        ),
    ));