<?php 
	vc_add_param("vc_tta_tabs", array(
			'type' => 'dropdown',
			'param_name' => 'color',
			'value' => array('Grey new Color' => 'grey_new_color') + getVcShared( 'colors-dashed' ),
			'heading' => esc_html__( 'Color', 'wpwage' ),
			'description' => esc_html__( 'Select accordion color.', 'wpwage' ),
			'param_holder_class' => 'vc_colored-dropdown',
		));	

	vc_add_param("vc_tta_tabs", array(
			'type' => 'dropdown',
			'param_name' => 'spacing',
			'value' => array(
				esc_html__( 'None', 'wpwage' ) => '',
				esc_html__( '1px', 'wpwage' ) => '1',
				esc_html__( '2px', 'wpwage' ) => '2',
				esc_html__( '3px', 'wpwage' ) => '3',
				esc_html__( '4px', 'wpwage' ) => '4',
				esc_html__( '5px', 'wpwage' ) => '5',
				esc_html__( '7px', 'wpwage' ) => '7',
				esc_html__( '10px', 'wpwage' ) => '10',
				esc_html__( '15px', 'wpwage' ) => '15',
				esc_html__( '20px', 'wpwage' ) => '20',
				esc_html__( '25px', 'wpwage' ) => '25',
				esc_html__( '30px', 'wpwage' ) => '30',
				esc_html__( '35px', 'wpwage' ) => '35',
				),
			'heading' => esc_html__( 'Spacing', 'wpwage' ),
			'description' => esc_html__( 'Select tabs spacing.', 'wpwage' ),
			'std' => '1'
		));