<?php 

    $icon_name = "icon_" . $atts['icon_type'];
    $iconClass = isset($atts[$icon_name])?$atts[$icon_name]:'';
    $value_color = !empty($atts['value_color'])?$atts['value_color']:'#131f58';
?>
	<div class="cms-counter-wraper <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
	    <div class="cms-counter-body mb30">
	        <div class="cms-counter-single clearfix" onclick ="" >
		        <?php if( $iconClass ): ?>
					<span class="icon_wrap" ><i class="<?php echo esc_attr($iconClass); ?>"></i></span>
				<?php endif; ?>
				<div class="counter_inner">
					<div id="counter_<?php echo esc_attr($atts['html_id']);?>" class="cms-counter <?php echo esc_attr(strtolower($atts['type']));?>" data-suffix="<?php echo esc_attr($atts['suffix']);?>" data-prefix="<?php echo esc_attr($atts['prefix']);?>" data-type="<?php echo esc_attr(strtolower($atts['type']));?>" data-digit="<?php echo esc_attr($atts['digit']);?>" style="color:<?php echo esc_attr($value_color); ?>">
					</div>
			        <?php if($atts['c_title']):?>
			            <h4 style="color:<?php echo esc_attr($value_color); ?>"><?php echo apply_filters('the_title',$atts['c_title']);?></h4>
			        <?php endif;?>
				</div>
				
			</div>
	    </div>
	</div>