<?php 
    /* get categories */
        $taxo = 'categories_services';
        $_category = array();
        if(!isset($atts['cat']) || $atts['cat']==''){
            $terms = get_terms($taxo);
            foreach ($terms as $cat){
                $_category[] = $cat->term_id;
            }
        } else {
            $_category  = explode(',', $atts['cat']);
        }
        $atts['categories'] = $_category;

?>
<div class="cms-grid-wraper <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
    <?php if($atts['filter']=="true" and $atts['layout']=='masonry'):?>
        <div class="cms-grid-filter cms-filter-wrap">
            <div class="cms-grid-filter-inphone hidden">
                <a href="#" class="active"><span><?php echo esc_html__('Select Filter','wpwage') ;?>r</span></a>
            </div>
            <ul class="cms-filter-category list-unstyled list-inline">
                <li><a class="active" href="#" data-group="all"><?php echo esc_html__('All','wpwage'); ?></a></li>
                <?php 
                if(is_array($atts['categories']))
                foreach($atts['categories'] as $category):?>
                    <?php $term = get_term( $category, $taxo );?>
                    <li><a href="#" data-group="<?php echo esc_attr('category-'.$term->slug);?>">
                            <?php echo esc_html($term->name);?>
                        </a>
                    </li>
                <?php endforeach;?>
            </ul>
        </div>
    <?php endif;?>

                <div class="row cms-grid row-eq-height cms-grid-services <?php echo esc_attr($atts['grid_class']);?> ">
                        <?php
                        $posts = $atts['posts'];
                        $index = 0;
                        $size = 'wage-thumb-services';
                        while($posts->have_posts()){
                            $posts->the_post();
                            $groups = array();
                            $groups[] = '"all"';
                            $services_excerpt = wage_get_meta_option('services-excerpt');
                            foreach(cmsGetCategoriesByPostID(get_the_ID(),$taxo) as $category){
                                $groups[] = '"category-'.$category->slug.'"';
                            }
                            $format = get_post_format() ? : 'standard';
                            ?>
                            <div class="cms-popup-gallery wow fadeIn  <?php echo esc_attr($atts['item_class']);?>" data-groups='[<?php echo implode(',', $groups);?>]' data-wow-delay="<?php echo esc_attr($index*200); ?>ms">
                                <div class="cms_services mb40" >
                                    <?php  if(has_post_thumbnail() && !post_password_required() && !is_attachment() &&  wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), $size, false)): ?>
                                        <div class="thumb" onclick="">
                                             <img src="<?php echo wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), $size, false)[0]; ?>" alt="" >
                                            <a href="<?php echo wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'full' , false)[0]; ?>" class="gallery-popup lightbox"><i class="pe-7s-link"></i> </a>
                                        </div>
                                    <?php endif; ?>
                                    <div class="desc">
                                       <h3><?php the_title( '<a class="title" href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a>' ); ?></h3>
                                        <?php  if (!empty($services_excerpt)): ?>
                                            <span class="services_excerpt"><?php echo esc_html($services_excerpt) ; ?></span>
                                        <?php endif; ?>
                                        <footer class="entry-footer">
                                            <a href="<?php the_permalink(); ?>"><span><?php esc_html_e('Read More', 'wpwage') ?></span></a>
                                        </footer><!-- .entry-footer -->
                                    </div>
                                </div>
                            </div>
                        <?php $index++; } ?>
                    </div>

         <?php
        if (!empty($atts['checkbox_grid_nav'])) {
            ?>
            <div class="nav_grid"><?php  wage_paging_nav(); ?></div>
            <?php
       
    }
    ?>

</div>

