<?php

$image_client = $css_animation  = '';
$html_id = $atts['html_id'];

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_animation = (!empty($atts['css_animation'])) ?($atts['css_animation']) : '';

$col_lg = (!empty($atts['col_lg'])) ? $atts['col_lg'] : 'col-lg-3';
    $col_md = (!empty($atts['col_md'])) ? $atts['col_md'] : 'col-md-4';
    $col_sm = (!empty($atts['col_sm'])) ? $atts['col_sm'] : 'col-sm-6';
    $col_xs = (!empty($atts['col_xs'])) ? $atts['col_xs'] : 'col-xs-12';
    $item_class = "cms-client-item {$col_lg} {$col_md} {$col_sm} {$col_xs}";

$image_url = '';
if (!empty($image_client)) {
    $attachment_image = wp_get_attachment_image_src($image_client, 'full');
    $image_url = $attachment_image[0];
}
 $custom_heading = (!empty($atts['custom_heading'])) ? $atts['custom_heading'] : '';

    if ($custom_heading): ?>
        <div class="heading cms-custom-heading-wrap owl-custom-heading-wrap" >
            <?php 

                    $text_ar = explode(' ', trim($custom_heading));
                    if(count($text_ar) > 1){
                        // lay tu cuoi cung ra thanh 1 bien
                        $text_last = $text_ar[count($text_ar)-1];
                        // xoa tu cuoi cung trong mang
                        $text_ar[count($text_ar)-1] = '';
                        //ghep cac tu khac
                        $text = implode(' ', $text_ar);
                        // in ra
                        $output = '<span class="head">'.$text. '</span> <span class="final">'.$text_last.'</span>';
                    }
                    else{
                        // in ra
                        $output = '<span class="head">'.$text. '</span>';
                    }

                ?>


                <h3 class="cmsc-custom-heading"><?php echo wp_kses($output, array('span' => array('class'=> array()))); ?></h3>
                <div class="owl-readmore-wrap">
                    <div class="owl-nav-wrap">
                        <span class="owl-prev-fake"><i class="fa fa-long-arrow-left"></i></span>
                        <span class="owl-next-fake"><i class="fa fa-long-arrow-right"></i></span>
                    </div>
                </div>
        </div>
    <?php endif ;?>
    <div class="owl-clients owl-carousel  mb30" id="<?php echo esc_attr($html_id); ?>">
        <?php if (!empty($image_client)) : ?>
            <?php
                $image_client = explode(',', $image_client);
                $index = 1;
                foreach ($image_client as $img_id) {
                    $attachment_image = wp_get_attachment_image_src($img_id, 'full');
                    ?>
                    <img src="<?php echo esc_url($attachment_image[0]); ?>" alt="">
                    <?php
                    $index ++;
                }
            ?>
        <?php endif; ?>
</div>

