<?php 

    extract( $atts );
    $values = (array) vc_param_group_parse_atts($values);
    
    $count = count($values);


    $col_lg = (!empty($atts['col_lg'])) ? $atts['col_lg'] : 'col-lg-3';
    $col_md = (!empty($atts['col_md'])) ? $atts['col_md'] : 'col-md-4';
    $col_sm = (!empty($atts['col_sm'])) ? $atts['col_sm'] : 'col-sm-6';
    $col_xs = (!empty($atts['col_xs'])) ? $atts['col_xs'] : 'col-xs-12';
    $item_class = "cms-pricing-item {$col_lg} {$col_md} {$col_sm} {$col_xs}";
     

    $i = 0;
    ?>
    <div class="row">
    <?php
    foreach ($values as $key => $value): 
     
    /*Set value default*/
       
        $highlighted = isset($value['highlighted'])?'pricing-table-highlighted':'';
        $value['price'] = isset($value['price'])?$value['price']:'50';
        $value['currency'] = isset($value['currency'])?$value['currency']:'$';
        $value['period'] = isset($value['period'])?$value['period']:'Menthly';

        $value['value_color'] = isset($value['value_color'])?$value['value_color']:'#8f8f8f';
        $value['head_bgcolor'] = isset($value['head_bgcolor'])?$value['head_bgcolor']:'#e4ebf0';
        $value['bg_color'] = isset($value['bg_color'])?$value['bg_color']:'#f2f6f9';

        $value['css_animation_delay'] = (!empty($value['css_animation_delay'])) ? 'data-wow-delay="'.esc_attr($value['css_animation_delay']).'"' : '';
        
        $values_att = (array) vc_param_group_parse_atts($value['custom_param']);

        $button_text = $button_link = $a_target = '';
        $link = (isset($value['pricing_sign_up'])) ? $value['pricing_sign_up'] : '';
        $link = vc_build_link( $link );
        if ( strlen( $link['url'] ) > 0 ) {
            $button_link = $link['url'];
            $button_text = $link['title'];
            $a_target = strlen( $link['target'] ) > 0 ? $link['target'] : '_self';
        }
        ?>
        
        <div class="cms-pricing-wraper wow fadeIn mb50 <?php echo esc_attr($item_class); ?>" <?php echo wp_kses_post($value['css_animation_delay']); ?>>  

            <div class="pricing-table <?php echo esc_attr($highlighted); ?> text-center" style="background-color:<?php echo esc_attr($value['bg_color']); ?>">
                <div class="head" style="background-color:<?php echo esc_attr($value['head_bgcolor']); ?>">
                    <span class="title"><?php echo esc_html('starter plan ','wpwage')?></span>
                    <div class="price_wrap"> 
                            <span class="currency"><?php echo esc_html($value['currency']);?></span><span class="price"><?php echo esc_html($value['price']);?></span><span class="period"><?php echo esc_html(' /','wpwage').esc_html($value['period']);?></span>
                    </div> 
                </div>
                <div class="pricing-table-features" >
                    <ul  style="color:<?php echo esc_attr($value['value_color']); ?>">
                    <?php foreach ($values_att as $key => $value) {
                         $att_values = isset($value['att_values'])?$value['att_values']:'';
                       ?>
                        <li class="pricing_values">
                            <?php echo balancetags($att_values) ;?>
                        </li>
                       <?php
                    } ?>
                    </ul>
                    <div class="pricing-table-sign-up">
                        <a href="<?php echo esc_url($button_link); ?>" title="<?php echo esc_attr($button_text); ?>" target="<?php echo esc_attr($a_target); ?>" class="readmore_pricing btn btn-primary btnfull" ><?php echo esc_html($button_text); ?></a>
                    </div>
                </div>
                
            </div>
        </div>
      
      
    <?php endforeach; ?>
    </div>