<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $css_animation
 * @var $css
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Column_text
 */
$el_class = $css = $css_animation = $text_block_style = $textblockstyle = $text_block_color = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$text_block_color = !empty($atts['text_block_color'])?$atts['text_block_color']:'#8f8f8f';
$class_to_filter = 'wpb_text_column wpb_content_element ' . $this->getCSSAnimation( $css_animation );
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$output = '
	<div class="' . esc_attr( $css_class ) . '  cms_text_block">
		<div class="wpb_wrapper '.esc_attr( $text_block_style ).'" style="color:'.esc_attr( $text_block_color ).'">
			' . wpb_js_remove_wpautop( $content, true ) . '
		</div>
	</div>
';

echo balanceTags($output);
